<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data, Version=5.0.414.0, Culture=neutral, PublicKeyToken=null" requirePermission="true" />
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="ConetSoft.Identity.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <dataConfiguration defaultDatabase="BaseDatosNomina" />
  <connectionStrings>
    <add name="BD_MARCAJE" connectionString="" providerName="System.Data.SqlClient" />
    <add name="SPDV" connectionString="" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <appSettings>
    <add key="ResetConnectionString" value="true" />
    <add key="Password" value="wDzeZDHS" />
    <add key="FileConnect" value="D:\GDC\SPDV\Data\srvsql.txt" />
    <add key="SeedString" value="wDzeZDHS" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
	<add key="Tipo" value="OTRO" /><!-- OTRO , NORMAL-->
  </appSettings>
  <log4net>
    <appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
      <file type="log4net.Util.PatternString" value="./log/ConetSoftIdentity%date{yyyyMMdd}.log" />
      <appendToFile value="true" />
      <rollingStyle value="Date" />
      <staticLogFileName value="true" />
      <datePattern value="yyyyMMdd" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger - %message%newline" />
      </layout>
    </appender>
    <appender name="SMTPAppender" type="log4net.Appender.SMTPAppender">
      <!--<authentication value="Basic" />
      <to value="edward.vargas@texcoven.com" />
      <from value="infonomina@correotienda.com" />
      <username value="infonomina@correotienda.com" />
      <password value="asd789" />
      <subject value="CONETSOFT Indentity" />
      <smtpHost value="mail.correotienda.com" />
      <port value="26" />
      <lossy value="true" />-->
      <evaluator type="log4net.Core.LevelEvaluator">
        <threshold value="ALL" />
      </evaluator>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%newline%date [%thread] %-5level %logger %newline %message%newline%newline%newline" />
      </layout>
    </appender>
    <root>
      <level value="ALL" />
      <appender-ref ref="RollingFileAppender" />
      <appender-ref ref="SMTPAppender" />
    </root>
  </log4net>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>
  <userSettings>
    <ConetSoft.Identity.Properties.Settings>
      <setting name="HabilitarMIOT" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="HabilitarFake" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="CalidadPatron" serializeAs="String">
        <value>1</value>
      </setting>
      <setting name="UmbralMarcaje" serializeAs="String">
        <value>1</value>
      </setting>
      <setting name="DuracionVentanaMensaje" serializeAs="String">
        <value>2</value>
      </setting>
      <setting name="UmbralJornada" serializeAs="String">
        <value>8</value>
      </setting>
      <setting name="TasaFARN" serializeAs="String">
        <value>500</value>
      </setting>
      <setting name="DuracionMensajes" serializeAs="String">
        <value>2</value>
      </setting>
      <setting name="CantMarcajesDiario" serializeAs="String">
        <value>4</value>
      </setting>
    </ConetSoft.Identity.Properties.Settings>
  </userSettings>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
</configuration>